# API Spec: README

The main point:

> **The API specs in this directory are IMPORTED**. Do not edit any RAML directly in this repository!


This directory houses imported RAML API specifications to use for generating API documentation.  


## The hopefully temporary implementation

RAML specs are imported using a shell script, `copy-fresh.sh`. This pulls in known RAML specs from a **local to your computer** repository into a directory in the gatsby project.

The script looks for directories in the same parent directory as this repostory. For example:

```
/Repositories/commercetools-docs 
/Repositories/commercetools-importer
```

In reality, the script points to the actual directory in that repository containing RAML files.

At the moment, new RAML specs must be added by hand. 

As you can see, this is a _very_ fragile implementation, which will be made more robust in future. For now, please do not add additional specs without contacting the documentation team first.

## The test spec

The `/test` contains a test API specification. The test spec serves the following purposes:

* A pattern library for RAML patterns which will result in valid documentation output
* The agreed-upon way to model certain commercetools-specific aspects of APIs, like update actions
* Document which custom annotations are allowed in documentation output
* Serve as smoketest/integration test data for the API documentation react components.


The test spec is maintained by the documentation team, with approval from the Clients team. Anyone actively working with RAML should feel free to inspect the spec, and open a PR to introduce new patterns if required! The test spec is the _only_ spec you are allowed to edit and PR against in this repository :) 
