import React from 'react';
import PropTypes from 'prop-types';
import styled from '@emotion/styled';

import { Code } from '../../../../elements/index';

const Title = styled.div`
  color: #999;
`;

const Scopes = ({ scopes, title }) => {
  return (
    <div>
      {title ? (
        <Title>
          <strong>{title}</strong>
        </Title>
      ) : null}

      <p>
        {scopes.map((scope, index) =>
          index === scopes.length - 1 ? (
            <Code key={scope}>{scope}</Code>
          ) : (
            <span key={scope}>
              <Code>{scope}</Code>
              {', '}
            </span>
          )
        )}
      </p>
    </div>
  );
};

Scopes.propTypes = {
  title: PropTypes.string,
  scopes: PropTypes.arrayOf(PropTypes.string.isRequired)
};

export default Scopes;
