import React from 'react';
import PropTypes from 'prop-types';
import { css } from '@emotion/core';

import { markdown2React } from '../../../utils/helpers';
import { H4 } from '../../elements';

const Description = ({ description, title }) => {
  if (!description) return null;

  let cssString = '';
  if (title) {
    cssString = `
      margin: 0.5rem 0;
    `;
  }

  return (
    <div data-testid="api-type__description">
      {title ? (
        <H4 data-testid="api-type__description__title">{title}</H4>
      ) : null}

      <div data-testid="api-type__description__text" css={css(cssString)}>
        {markdown2React(description)}
      </div>
    </div>
  );
};

Description.propTypes = {
  description: PropTypes.string.isRequired,
  title: PropTypes.string
};

export default Description;
