import React from 'react';
import PropTypes from 'prop-types';
import { css } from '@emotion/core';

import { CodeBlock } from './code-block';

export const Figure = ({ code, language }) => {
  return (
    <figure
      css={css`
        padding: 1rem;
        background-color: #ecf0f1;
      `}
    >
      <CodeBlock code={code} language={language} />
    </figure>
  );
};

Figure.propTypes = {
  code: PropTypes.string.isRequired,
  language: PropTypes.string
};
