import React from 'react';
import { css } from '@emotion/core';

import { pixelsToRems } from '../../utils/helpers';

export const H1 = props => (
  <h1
    css={css`
      margin: 0;
      padding: 0;
      font-size: ${pixelsToRems(48)}rem;
      line-height: ${pixelsToRems(56)}rem;
      font-weight: 400;
    `}
    {...props}
  />
);

export const H2 = props => (
  <h2
    css={css`
      margin: 0;
      padding: 0;
      font-size: ${pixelsToRems(26)}rem;
      line-height: ${pixelsToRems(26)}rem;
      font-weight: 700;
    `}
    {...props}
  />
);

export const H3 = props => (
  <h3
    css={css`
      margin: 0;
      padding: 0;
      font-size: ${pixelsToRems(24)}rem;
      line-height: ${pixelsToRems(30)}rem;
      font-weight: 500;
    `}
    {...props}
  />
);

const h4style = css`
  margin: 0;
  padding: 0;
  font-size: ${pixelsToRems(20)}rem;
  line-height: ${pixelsToRems(26)}rem;
  font-weight: 500;
`;

export const H4 = props => <h4 css={h4style} {...props} />;

export const H5 = props => <h5 css={h4style} {...props} />;

export const H6 = props => <h6 css={h4style} {...props} />;
