import React from 'react';
import { css } from '@emotion/core';

import { pixelsToRems } from '../../../utils/helpers';

const tableCells = css`
  padding: ${pixelsToRems(8)}rem;
  border: 1px solid #e6e6e6;
  color: #1a1a1a;
  vertical-align: middle;
`;

export const Table = props => (
  <table
    css={css`
      max-width: 100%;
      margin: ${pixelsToRems(8)}rem 0;
      word-break: normal;

      thead {
        tr {
          background: #fff;

          th {
            ${tableCells};
            font-weight: bold;
            line-height: ${pixelsToRems(21)}rem;
            border-top-width: ${pixelsToRems(2)}rem;
            border-bottom-width: ${pixelsToRems(2)}rem;
          }
        }
      }

      tbody {
        tr {
          :nth-of-type(odd) {
            background: #f2f2f2;
          }

          :nth-of-type(even) {
            background: #fff;
          }

          td {
            ${tableCells};
            line-height: ${pixelsToRems(23)}rem;
          }
        }
      }
    `}
    {...props}
  />
);
