import React from 'react';
import PropTypes from 'prop-types';
import styled from '@emotion/styled';

import { leftNavButtonHeight } from '../styles/dimensions';

const Button = styled.button`
  width: ${leftNavButtonHeight}rem;
  height: ${leftNavButtonHeight}rem;
  background-color: #f2f2f2;
  border: none;
  padding: 0.75rem;
  transition: 0.5s;
  :hover {
    cursor: pointer;
    background-color: #ccc;

    .nav-button-line {
      background-color: #fff;
    }
  }
  :focus {
    outline: none;
  }
`;

const Lines = styled.div`
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  height: 100%;
  padding: 0.1875rem;
`;

const Line = styled.div`
  height: 0.25rem;
  width: 100%;
  border-radius: 1px;
  background-color: #999;
  transition: 0.5s;
`;

const LeftNavButton = ({ onClick }) => (
  <Button onClick={onClick}>
    <Lines>
      <Line className="nav-button-line" />
      <Line className="nav-button-line" />
      <Line className="nav-button-line" />
    </Lines>
  </Button>
);

LeftNavButton.propTypes = {
  onClick: PropTypes.func.isRequired
};

export default LeftNavButton;
