import { useStaticQuery, graphql } from 'gatsby';

export const useApiResources = () => {
  const queryResult = useStaticQuery(
    graphql`
      {
        allRamlResource {
          nodes {
            apiKey
            displayName
            absoluteUri
            relativeUri
            parentUrl
            relativeUriPathSegments
            allUriParameters {
              description
              displayName
              key
              name
              required
              type
            }
            uriParameters {
              description
              displayName
              key
              name
              required
              type
            }
            securedBy {
              schemeName
              scopes
            }
            methods {
              displayName
              method
              description
              protocols
              queryParameters {
                key
                name
                displayName
                type
                description
                required
              }
              allUriParameters {
                key
                name
                displayName
                type
                description
                required
              }
              body {
                mimeType
                name
                displayName
                type
                description
                examples {
                  name
                  displayName
                  description
                  value
                }
              }
              responses {
                key
                code
                description
                body {
                  mimeType
                  name
                  displayName
                  type
                  description
                  examples {
                    name
                    displayName
                    description
                    value
                  }
                }
              }
              securedBy {
                schemeName
                scopes
              }
            }
          }
        }
      }
    `
  );

  return queryResult.allRamlResource.nodes;
};
